function Gunner3:Collide(me,you)
	--if( CheckCombo("AirGroundPound") == true)
	if( CheckCombo("Uppercut") == true)
	then
		Gunner:Collide(me,you)
	
	else
		SetVelocity(me,0,0)
		SetState(me,0)
	end

end



function Gunner3:Create(me)
	Gunner:Create(me)
	SetHealth(me,2)
end

function Gunner3:Death(me)

	RemoveArea(GetCurrentArea())
	ChangeAnimation(GetPlayerAlert(),"Stand")
	Gunner:Death(me)
	DestroyLevelBlockAt(64*85,64*24)
	DestroyLevelBlockAt(64*86,64*24)

	CreateEmitter("Explosion", 64*86,64*23.5)
	CreateEmitter("Explosion", 64*87,64*23.5)
end